public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/requests-mock/
Date: Thu, 28 Mar 2024 05:55:51 +0000 (UTC)	[thread overview]
Message-ID: <1711605336.c7bb83b69b4e15414c2027c61bcd44d08df3918e.mgorny@gentoo> (raw)

commit:     c7bb83b69b4e15414c2027c61bcd44d08df3918e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 28 05:43:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 05:55:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7bb83b6

dev-python/requests-mock: Bump to 1.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/requests-mock/Manifest                  |  1 +
 .../requests-mock/requests-mock-1.12.0.ebuild      | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/requests-mock/Manifest b/dev-python/requests-mock/Manifest
index e8bda4a814bd..04f30c1c24c8 100644
--- a/dev-python/requests-mock/Manifest
+++ b/dev-python/requests-mock/Manifest
@@ -1 +1,2 @@
 DIST requests-mock-1.11.0.tar.gz 74377 BLAKE2B f871bbd18b42668d9eb693b807a67a33c9fb7c4316966ad2c16800bf562be982c737e1c1a803e3c5b6d3cde8c3d789671b5fce7d54df308dc55b2ef73a641ff4 SHA512 8d161cb0f6183994053d4dd06b801c2614b7ac937798addcdc52ee8e3973a7ef874ca615ca1946ea4bc0e05ce36c5c813460f7a41b3254671095059536fd2961
+DIST requests-mock-1.12.0.tar.gz 60874 BLAKE2B 53e0cf6cf25dbfec87e913a9f85c9ad0757e3b071e4c1d66a31810283cd0332a0a8b8317a9da433a2b36f629ff52808a82993126a5f7a9d138c47099072329a3 SHA512 1bc07b5fa90752d73e05de7147f891600fce3041f6b9aaf3ad6be87532b314543340d94087e834801761a7f3aefb0bb1e1bdb717c11b90b940cccf37b2982164

diff --git a/dev-python/requests-mock/requests-mock-1.12.0.ebuild b/dev-python/requests-mock/requests-mock-1.12.0.ebuild
new file mode 100644
index 000000000000..a0e17f881c2f
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.12.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="
+	https://github.com/jamielennox/requests-mock/
+	https://pypi.org/project/requests-mock/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	>=dev-python/requests-2.22[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools-scm[${PYTHON_USEDEP}]
+	test? (
+		dev-python/fixtures[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/requests-futures[${PYTHON_USEDEP}]
+		dev-python/testtools[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# Disable reno which only works inside a git repository
+	sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+	# Remove the release notes section which requires reno
+	rm doc/source/release-notes.rst || die
+	sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+	# Disable a test which requires purl (not in the tree)
+	sed -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+		-i tests/test_adapter.py || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2024-03-28  5:56 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-28  5:55 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-28 13:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/requests-mock/ Michał Górny
2024-06-11 19:25 Michał Górny
2024-04-13 14:18 Michał Górny
2024-04-13 13:59 Sam James
2024-03-29  5:16 Michał Górny
2023-09-10  5:27 WANG Xuerui
2023-09-07 20:07 Sam James
2023-09-07 20:07 Sam James
2023-07-10  1:47 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-06-09  2:15 Michał Górny
2023-05-31 16:49 Sam James
2023-05-29  7:31 Michał Górny
2023-03-17 15:25 Michał Górny
2022-10-03  8:28 Agostino Sarubbo
2022-10-03  8:24 Agostino Sarubbo
2022-10-03  0:44 Sam James
2022-08-31 18:07 Arthur Zamarin
2022-06-22 11:50 Michał Górny
2022-06-22 10:10 Agostino Sarubbo
2022-05-22 14:52 Andrew Ammerlaan
2022-05-22 14:52 Andrew Ammerlaan
2021-09-02 17:05 Marek Szuba
2021-07-07 22:29 Michał Górny
2021-07-07  2:17 Sam James
2021-07-03  6:29 Michał Górny
2021-07-03  6:17 Agostino Sarubbo
2021-06-05 21:20 Michał Górny
2021-06-05 20:35 Sam James
2021-05-28  7:34 Michał Górny
2021-04-30 12:22 Michał Górny
2021-04-28 10:24 Michał Górny
2021-04-28  8:16 Michał Górny
2020-08-07  1:10 Sam James
2020-07-11  8:22 Michał Górny
2020-07-11  8:22 Michał Górny
2020-07-09  8:59 Agostino Sarubbo
2020-06-09 20:06 Michał Górny
2020-05-18 13:23 Michał Górny
2020-05-04 12:17 Michał Górny
2020-05-03 19:02 Agostino Sarubbo
2020-05-03  7:08 Michał Górny
2020-02-29  0:46 Louis Sautier
2020-02-29  0:46 Louis Sautier
2020-02-25  8:17 Georgy Yakovlev
2020-02-05 21:21 Michał Górny
2018-07-24 23:10 Louis Sautier
2018-07-24 22:59 Louis Sautier
2018-06-27 13:16 Louis Sautier
2018-03-10 14:56 Pacho Ramos
2017-10-04  8:57 Michał Górny
2017-03-26  4:16 Matt Thode
2017-02-27  5:29 Zac Medico
2017-02-27  4:27 Matt Thode
2016-11-06 21:39 Matt Thode
2016-06-29 18:18 Patrick Lauer
2016-02-17  8:57 Justin Lecher
2016-02-09  9:33 Justin Lecher
2015-11-03 19:32 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1711605336.c7bb83b69b4e15414c2027c61bcd44d08df3918e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox